// NetFindDppDlg.h : header file
//

#if !defined(AFX_NetFindDppDLG_H__20F99C79_8C83_11D1_A121_0000F875C45F__INCLUDED_)
#define AFX_NetFindDppDLG_H__20F99C79_8C83_11D1_A121_0000F875C45F__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CNetFindDppDlg dialog

class CNetFindDppDlg : public CDialog
{
// Construction
public:
	CNetFindDppDlg(CWnd* pParent = NULL);	// standard constructor

	CUdpAsySk*  m_pUDPSocket;

// Dialog Data
	//{{AFX_DATA(CNetFindDppDlg)
	enum { IDD = IDD_NetFindDpp_DIALOG };
	BOOL	m_chkBroadcast;
	UINT	m_port;
	CString	m_strReceive;
	CString	m_strRemote;
	UINT	m_remoteport;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetFindDppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	TCHAR m_szError[255];

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNetFindDppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChkbroadcast();
	afx_msg void OnCmdsend();
	afx_msg void OnCreatesk();
	afx_msg void OnDestroy();
	afx_msg void OnClosesock();
	void SendBroadcast(BOOL NewRand);
	int m_rand;
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedNetfindDppDevices();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NetFindDppDLG_H__20F99C79_8C83_11D1_A121_0000F875C45F__INCLUDED_)
